"use client";
import { jsx } from 'react/jsx-runtime';
import { cn } from '../lib/utils.mjs';

function PageLayout({
  children,
  className,
  "data-testid": dataTestId
}) {
  return /* @__PURE__ */ jsx(
    "div",
    {
      className: cn(
        "container mx-auto flex min-h-dvh flex-col items-center gap-12 px-4 py-18 lg:px-16",
        className
      ),
      "data-testid": dataTestId,
      children
    }
  );
}

export { PageLayout };
